Bug 162298 - [PATCH] devel/rubygem-json*: Fix ruby-iconv dependency
Summary: [PATCH] devel/rubygem-json*: Fix ruby-iconv dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-04 19:40 UTC by TAKATSU Tomonari
Modified: 2011-12-05 03:10 UTC (History)
1 user (show)

See Also:


Attachments
rubygem-json-1.6.1_1.patch (483 bytes, patch)
2011-11-04 19:40 UTC, TAKATSU Tomonari
no flags Details | Diff
file.diff (680 bytes, patch)
2011-11-04 19:40 UTC, TAKATSU Tomonari
no flags Details | Diff
rubygem-json.patch (1.21 KB, patch)
2011-11-05 23:58 UTC, TAKATSU Tomonari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TAKATSU Tomonari freebsd_committer 2011-11-04 19:40:09 UTC
- Fix ruby-iconv dependency because USE_RUBY_FEATURES is not
  available after "pre-makefile section"

I notice this issue while we discuss ports/162269.

Port maintainer (ruby@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-11-04 19:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 TAKATSU Tomonari freebsd_committer 2011-11-05 23:58:43 UTC
I would like to drop BUILD_DEPENDS as rubygem-json.patch attached this e-mail.

Thanks,

-- 
TAKATSU Tomonari
Comment 3 Steve Wills freebsd_committer 2011-12-05 03:07:06 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 4 dfilter service freebsd_committer 2011-12-05 03:08:41 UTC
swills      2011-12-05 03:08:27 UTC

  FreeBSD ports repository

  Modified files:
    devel/rubygem-json_pure Makefile 
    devel/rubygem-json   Makefile 
  Log:
  - Fix iconv dependency
  
  PR:             ports/162298
  Submitted by:   TAKATSU Tomonari <tota@freebsd.org>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.24      +2 -1      ports/devel/rubygem-json/Makefile
  1.18      +2 -1      ports/devel/rubygem-json_pure/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2011-12-05 03:09:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!